Improve global definitions.
--- a/src/LutefiskDefinitions.h
+++ b/src/LutefiskDefinitions.h
@@ -143,6 +143,7 @@
 #define BOOLEAN	unsigned char
 #endif
 
+#define MAX_FILENAME_SIZE 4096
        
 /*	Define a few constants.	*/
 #define AMINO_ACID_NUMBER 25	/*Number of amino acids.*/
@@ -357,11 +358,11 @@
 	char		fVerbose;
 	clock_t 	startTicks;
 	clock_t 	searchTime;
-	char		paramFile[256];
-	char		outputFile[256];
-	char 		cidFilename[256];
-	char            detailsFilename[256];
-	char            residuesFilename[256];
+	char		paramFile[MAX_FILENAME_SIZE];
+	char		outputFile[MAX_FILENAME_SIZE];
+	char 		cidFilename[MAX_FILENAME_SIZE];
+	char            detailsFilename[MAX_FILENAME_SIZE];
+	char            residuesFilename[MAX_FILENAME_SIZE];
 	REAL_4 		peptideMW;
 	INT_4 		chargeState;
 	BOOLEAN		maxent3;
@@ -395,10 +396,10 @@
 	REAL_4 		peptideErr;
 	BOOLEAN	 	autoTag;
 	BOOLEAN 	edmanPresent;
-	char		edmanFilename[256];
+	char		edmanFilename[MAX_FILENAME_SIZE];
 	REAL_4 		ionsPerResidue;
 	char		CIDfileType;
-	char		databaseSequences[256];
+	char		databaseSequences[MAX_FILENAME_SIZE];
 	BOOLEAN		quality;
 	INT_4		wrongSeqNum;
 	
@@ -416,7 +417,7 @@
 	REAL_4		modifiedNTerm_orig;
 	REAL_4		modifiedCTerm_orig;
         INT_4 		maxGapNum_orig;
-	char		outputFile_orig[256];
+	char		outputFile_orig[MAX_FILENAME_SIZE];
         
 }tParam;
 
